%define pkgname         jabberd
%define name		jabber2
%define version		2.1.14
%define release		%mkrel 4
%define __libtoolize    /bin/true

%define Summary		Jabber is an instant messaging System

Summary:		%Summary
Name:			%name
Version:		%version
Release:		%release
License:		GPL
Group:			System/Servers
URL:			http://jabberd2.xiaoka.com/
Source0:		http://ftp.xiaoka.com/jabberd2/releases/%{pkgname}-%version.tar.bz2
Source1:		%{pkgname}.rc
BuildRequires:		postgresql-devel 
BuildRequires:          mysql-devel
BuildRequires:		openldap-devel 
BuildRequires:          pam-devel 
BuildRequires:          libsasl-devel
BuildRequires:		openssl-devel
BuildRequires:		glibc-devel 
BuildRequires:          zlib-devel
BuildRequires:		idn-devel
BuildRequires:          db4-devel
BuildRequires:		expat-devel
Conflicts:		jabber
Requires(post,preun):	rpm-helper
Requires(pre,postun):	rpm-helper

%description
Jabber is an instant messaging System, similar to ICQ or AIM, yet far
different.
It is open source, absolutely free, simple, fast, extensible, modularized,
cross platform, and created with the future in mind. Jabber has been
designed from the ground up to serve the needs of the end user, satisfy
business demands, and maintain compatibility with other messaging systems.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%serverbuild
%configure2_5x	--enable-pgsql=yes \
		--enable-db=yes \
		--enable-ldap=yes \
		--enable-pam=yes \
		--with-extra-include-path=/usr/include/pgsql \
		--enable-ipv6=yes \
		--enable-sasl=cyrus \
		--enable-debug

%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/jabberd
mv %buildroot%{_sysconfdir}/{*.xml,*.cfg,*.dist,templates} %buildroot%{_sysconfdir}/jabberd

install -D %{SOURCE1} ${RPM_BUILD_ROOT}%_initrddir/%{pkgname}

mkdir -p ${RPM_BUILD_ROOT}%{_var}/run/%{pkgname}

# remove unused devel files
rm -f %buildroot%_libdir/%{pkgname}/{*.la,mod_*.so}

%pre
%_pre_useradd %{pkgname} /var/run/%{pkgname} /bin/sh

%preun
%_preun_service %{pkgname}

%post
%_post_service %{pkgname}

%postun
%_postun_userdel %{pkgname}

%clean
rm -rf %buildroot

%files
%defattr (0755,root,root,0755)
%_bindir/c2s
%_bindir/jabberd
%_bindir/resolver
%_bindir/router
%_bindir/s2s
%_bindir/sm
%_initrddir/%{pkgname}
%_libdir/%{pkgname}

%defattr (0644,root,root,0755)
%doc COPYING README INSTALL ChangeLog AUTHORS NEWS PROTOCOL TODO tools/db-setup.mysql tools/db-setup.pgsql tools/migrate.pl tools/pipe-auth.pl
%dir %{_sysconfdir}/%{pkgname}
%config(noreplace) %{_sysconfdir}/%{pkgname}/c2s.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/resolver.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/router-users.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/router.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/router-filter.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/s2s.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/sm.xml
%config(noreplace) %{_sysconfdir}/%{pkgname}/jabberd.cfg
%config(noreplace) %{_sysconfdir}/%{pkgname}/templates/roster.xml
%{_sysconfdir}/%{pkgname}/*.dist
%{_sysconfdir}/%{pkgname}/templates/*.dist

%{_mandir}/man8/c2s.*
%{_mandir}/man8/jabberd.*
%{_mandir}/man8/resolver.*
%{_mandir}/man8/router.*
%{_mandir}/man8/s2s.*
%{_mandir}/man8/sm.*

%defattr (0644,jabberd,jabberd,755)
%{_var}/run/%{pkgname}


%changelog
* Fri Sep 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.14-4mdv2008.0
+ Revision: 91998
- [BUGFIX] Add missing slash (Bug  #33855)

* Mon Aug 20 2007 Funda Wang <fundawang@mandriva.org> 2.1.14-3mdv2008.0
+ Revision: 67319
- fix bug#32693

* Sat Aug 18 2007 Funda Wang <fundawang@mandriva.org> 2.1.14-2mdv2008.0
+ Revision: 66424
- add ldconfig for lib package
- align startup script with jabber

* Sat Aug 18 2007 Funda Wang <fundawang@mandriva.org> 2.1.14-1mdv2008.0
+ Revision: 66421
- BR expat
- fix pre script
- pinit friendly
- bunzip source1
- Fix building and file list
- use cyrus sasl implementation rather gsasl
- New versino 2.1.14

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0s9-4mdk
- rebuilt against new openldap-2.3.6 libs
- fix deps
- fix one rpmlint error

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0s9-3mdk
- Fix BuildRequires

* Tue Jul 26 2005 Nicolas Lcureuil <neoclust@mandria.org> 2.0s9-2mdk
- more in configure

* Tue Jul 26 2005 Nicolas Lcureuil <neoclust@mandria.org> 2.0s9-1mdk
- 2.0s9
- More Mandrivations

* Tue Jul 26 2005 Nicolas Lcureuil <neoclust@mandria.org> 2.0s4-1mdk
- Initial Mandriva Package from Jorrit Jorritsma

